org.jCharts.encoders

## Class PNGEncoder

- java.lang.Object
- - org.jCharts.encoders.PNGEncoder

    public final class PNGEncoder
    extends Object

This class REQUIRES the jdk 1.4

### Field Summary

Fields
`private static String` `PNG`

### Constructor Summary

Constructors
`private` `PNGEncoder()`

### Method Summary

Methods
`static void` `encode(Chart chart, OutputStream outputStream)` Encodes the Chart to an OutputStream which can be a file or any other OutputStream implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PNG

    private static final String PNG

See Also:
  Constant Field Values

### Constructor Detail

#### PNGEncoder

    private PNGEncoder()
                throws Exception

Throws:
  `Exception`

### Method Detail

#### encode

    public static final void encode(Chart chart,
              OutputStream outputStream)
                             throws ChartDataException,
                                    PropertyException,
                                    IOException

Encodes the Chart to an OutputStream which can be a file or any other OutputStream implementation.

Parameters:
  `chart` -
  `outputStream` -
Throws:
  `ChartDataException`
  `PropertyException`
  `IOException`